

# 永天-东盟项目《巡更功能》接口文档 v1.0



[TOC]

##### 接口说明:   巡更点位

- **请求URL**

> [](#)

- **请求方式** 

>**POST**

- **请求参数**

| 返回参数   | 参数类型 | 必须 | 参数说明                | 数据库表      | 表字段            |
| :--------- | :------- | ---- | :---------------------- | ------------- | ----------------- |
| pId        | String   | 是   | 主键ID                  | GT_CHECKPOINT | ID                |
| ptCard     | String   | 是   | 点位钮号                | GT_CHECKPOINT | CheckPoint_Card   |
| ptName     | String   | 是   | 点位名称                | GT_CHECKPOINT | CheckPoint_Name   |
| ptNum      | String   | 是   | 编号（地点/人员/事件）  | GT_CHECKPOINT | CheckPoint_Number |
| ptType     | String   | 是   | 类型（0地点1人员2事件） | GT_CHECKPOINT | CheckPoint_Type   |
| createTime | String   | 否   | 创建时间                |               |                   |

- **返回示例**

| 返回参数 | 参数类型  | 参数说明                      |
| :------- | :-------- | :---------------------------- |
| msg      | String    | 操作信息说明                  |
| flag     | boolean   | 请求标记，成功true，失败false |
| data     | JsonArray | 返回数据                      |

- **data数介绍**
- 参考单位查询接介绍

- **返回示例**

```json 
{
    "msg": "查询成功",
    "flag": true,
    "data": []
}
```

##### 接口说明:  巡检路线

- **请求URL**

> [](#)

- **请求方式** 

>**POST**

- **请求参数**

| 返回参数       | 参数类型 | 必须 | 参数说明         | 数据库表     | 表字段         |
| :------------- | :------- | ---- | :--------------- | ------------ | -------------- |
| LId            | String   | 是   | 主键ID           | GT_LINE_EXTD | ID             |
| LName          | String   | 是   | 路线名称         | GT_LINE      | Line_Name      |
| PlaceId        | String   | 是   | 巡检点ID         | GT_LINE_EXTD | Place_ID       |
| LOrder         | String   | 是   | 巡检顺序         | GT_LINE_EXTD | Line_Order     |
| LNextPlaceTime | String   | 是   | 到达下一个点时间 | GT_LINE_EXTD | NextPlace_Time |
| LStayTime      | String   | 是   | 停留时间         | GT_LINE_EXTD | Stay_Time      |
| createTime     | String   | 否   | 创建时间         |              |                |

- **返回示例**

| 返回参数 | 参数类型  | 参数说明                      |
| :------- | :-------- | :---------------------------- |
| msg      | String    | 操作信息说明                  |
| flag     | boolean   | 请求标记，成功true，失败false |
| data     | JsonArray | 返回数据                      |

- **data数介绍**
- 参考单位查询接介绍

- **返回示例**

```json 
{
    "msg": "查询成功",
    "flag": true,
    "data": []
}
```

##### 接口说明:  巡检计划

- **请求URL**

> [](#)

- **请求方式** 

>**POST**

- **请求参数**

| 返回参数    | 参数类型 | 必须 | 参数说明                                   | 数据库表 | 表字段         |
| :---------- | :------- | ---- | :----------------------------------------- | -------- | -------------- |
| PlanId      | String   | 是   | 主键ID                                     | GT_PLAN  | ID             |
| LineId      | String   | 是   | 线路ID                                     | GT_PLAN  | Line_ID        |
| PStartTime  | String   | 是   | 计划开始时间                               | GT_PLAN  | Plan_StartTime |
| PEndTime    | String   | 是   | 计划结束时间                               | GT_PLAN  | Plan_EndTime   |
| PType       | String   | 是   | 计划类型（有序/无序）                      | GT_PLAN  | Plan_Type      |
| PMode       | String   | 是   | 计划模式（0常规、1班组、2星期、3周期计划） | GT_PLAN  | Plan_Mode      |
| PExcWeek    | String   | 否   | 执行星期                                   | GT_PLAN  | Excute_Week    |
| PStartDate  | String   | 否   | 周期开始日期                               | GT_PLAN  | Start_Date     |
| PExcCycle   | String   | 否   | 执行周期天数                               | GT_PLAN  | Excute_Cycle   |
| PRestCycle  | String   | 否   | 休息周期天数                               | GT_PLAN  | Rest_Cycle     |
| PlaceId     | String   | 否   | 巡检点ID                                   | GT_PLAN  | Place_ID       |
| PCreateTime | datetime | 是   | 计划创建时间                               | GT_PLAN  | Create_Time    |

- **返回示例**

| 返回参数 | 参数类型  | 参数说明                      |
| :------- | :-------- | :---------------------------- |
| msg      | String    | 操作信息说明                  |
| flag     | boolean   | 请求标记，成功true，失败false |
| data     | JsonArray | 返回数据                      |

- **data数介绍**
- 参考单位查询接介绍

- **返回示例**

```json 
{
    "msg": "查询成功",
    "flag": true,
    "data": []
}
```

##### 接口说明:  巡检计划完成状态

- **请求URL**

> [](#)

- **请求方式** 

>**POST**

- **请求参数**

| 返回参数    | 参数类型 | 必须 | 参数说明                                     | 数据库表           | 表字段         |
| :---------- | :------- | ---- | :------------------------------------------- | ------------------ | -------------- |
| EId         | String   | 是   | 主键ID                                       | GT_PLAN_EVALUATION | ID             |
| EStartTime  | datetime | 是   | 计划开始时间                                 | GT_PLAN_EVALUATION | Plan_StartTime |
| EEndTime    | datetime | 是   | 计划结束时间                                 | GT_PLAN_EVALUATION | Plan_EndTime   |
| EPatrolTime | datetime | 是   | 巡检时间                                     | GT_PLAN_EVALUATION | Patrol_Time    |
| ELName      | String   | 是   | 路线名称                                     | GT_PLAN_EVALUATION | Line_Name      |
| EPlaceName  | String   | 是   | 巡检地点名称                                 | GT_PLAN_EVALUATION | Place_Name     |
| EBindUser   | String   | 否   | 计划绑定人员                                 | GT_PLAN_EVALUATION | Bind_User      |
| EUserName   | String   | 否   | 实际巡检人员                                 | GT_PLAN_EVALUATION | User_Name      |
| EBindDevice | String   | 否   | 计划绑定设备                                 | GT_PLAN_EVALUATION | Bind_Device    |
| EDeviceName | String   | 否   | 实际巡检设备                                 | GT_PLAN_EVALUATION | Device_Name    |
| EPlanState  | String   | 是   | 计划考核状态                                 | GT_PLAN_EVALUATION | Plan_State     |
| EStayTime   | String   | 否   | 停留时间                                     | GT_PLAN_EVALUATION | Stay_Time      |
| EBindTeam   | String   | 否   | 计划绑定班组                                 | GT_PLAN_EVALUATION | Bind_Team      |
| ETeamName   | String   | 否   | 实际巡检班组                                 | GT_PLAN_EVALUATION | Team_Name      |
| ECreateTime | datetime | 是   | 实施计划创建时间                             | GT_PLAN_EVALUATION | Create_Time    |
| EPlanType   | String   | 是   | 计划类型（有序无序）                         | GT_PLAN_EVALUATION | Plan_Type      |
| ELineOrder  | String   | 是   | 线路顺序                                     | GT_PLAN_EVALUATION | Line_Order     |
| EPlanMode   | String   | 是   | 计划模式（每天、常规、班组、星期、周期计划） | GT_PLAN_EVALUATION | Plan_Mode      |
| PlanId      | String   | 是   | 计划ID                                       | GT_PLAN_EVALUATION | Plan_id        |
| EDFlag      | String   | 是   | 是否报警（0否1是）                           | GT_PLAN_EVALUATION | Dflag          |
| EErrorTime  | String   | 否   | 误差时间                                     | GT_PLAN_EVALUATION | Error_Time     |

- **返回示例**

| 返回参数 | 参数类型  | 参数说明                      |
| :------- | :-------- | :---------------------------- |
| msg      | String    | 操作信息说明                  |
| flag     | boolean   | 请求标记，成功true，失败false |
| data     | JsonArray | 返回数据                      |

- **data数介绍**
- 参考单位查询接介绍

- **返回示例**

```json 
{
    "msg": "查询成功",
    "flag": true,
    "data": []
}
```

